
%define tarball_name iso8601

Name:           python-iso8601
Version:        0.1.10
Release:        %mkrel 1
Summary:        Simple module to parse ISO 8601 dates

Group:          Development/Python
License:        MIT
URL:            http://pypi.python.org/pypi/iso8601/
Source0:        https://pypi.python.org/packages/source/i/iso8601/%{tarball_name}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  python-devel 
BuildRequires:  python-setuptools
BuildRequires:  python3-devel 
BuildRequires:  python3-setuptools

%description
This module parses the most common forms of ISO 8601 date strings (e.g.
2007-01-14T20:34:22+00:00) into datetime objects.

%package -n python3-iso8601
Summary:        Simple module to parse ISO 8601 dates
Group:          Development/Python

%description -n python3-iso8601
This module parses the most common forms of ISO 8601 date strings
(e.g. 2007-01-14T20:34:22+00:00) into datetime objects.

%files
%doc LICENSE README.rst 
%{python_sitelib}/*

%files -n python3-iso8601
%doc LICENSE README.rst
%{python3_sitelib}/*

#--------------------------------------------------------------------

%prep
%setup -qn %{tarball_name}-%{version}
cp -a . %{py3dir}

%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd

%install
rm -rf %buildroot
%{__python} setup.py install --skip-build --root %{buildroot}

pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd

%changelog
* Sat Sep 19 2015 bb <bb> 0.1.10-1pclos2015
- update
